Upsert Inbound Route
curl --request PUT \
--url http://127.0.0.1:8080/v1/routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"did_number": "+15550000000",
"agent_ws_url": "ws://127.0.0.1:8765/agent",
"route_id": "route-1",
"voice_engine": "pipecat"
}
'import requests
url = "http://127.0.0.1:8080/v1/routes"
payload = {
"did_number": "+15550000000",
"agent_ws_url": "ws://127.0.0.1:8765/agent",
"route_id": "route-1",
"voice_engine": "pipecat"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
did_number: '+15550000000',
agent_ws_url: 'ws://127.0.0.1:8765/agent',
route_id: 'route-1',
voice_engine: 'pipecat'
})
};
fetch('http://127.0.0.1:8080/v1/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Routing
Upsert Inbound Route
PUT
/
v1
/
routes
Upsert Inbound Route
Authorizations
BearerAuthCookieAuth
Enter your Tenant API key (or use SANDBOX_API_KEY)
Body
application/json
Response
200
Route created/updated